# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiLightBlockerTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.beginLayout('光阻属性', collapse=False)
        self.addControl('geometryType', label='几何类型')
        self.addControl('density', label='密度')
        self.addControl('shader', label='着色器')
        self.addSeparator()
        self.addControl('rampAxis', label='轴枢')
        self.addControl('ramp', label='斜面')
        self.addControl('heightEdge', label='高度边缘')
        self.addControl('widthEdge', label='宽度边缘')
        self.addControl('roundness', label='圆度')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()

